msgpack::detail::create_object_visitor Class Reference

`#include <create_object_visitor.hpp>`

Inheritance diagram for msgpack::detail::create_object_visitor:

## Public Member Functions

| create_object_visitor (unpack_reference_func f, void *user_data, unpack_limit const &limit)
| create_object_visitor (create_object_visitor &&other)
create_object_visitor & | operator= (create_object_visitor &&other)
void | init ()
msgpack::object const & | data () const
msgpack::zone const & | zone () const
msgpack::zone & | zone ()
void | set_zone (msgpack::zone &zone)
bool | referenced () const
void | set_referenced (bool referenced)
bool | visit_nil ()
bool | visit_boolean (bool v)
bool | visit_positive_integer (uint64_t v)
bool | visit_negative_integer (int64_t v)
bool | visit_float32 (float v)
bool | visit_float64 (double v)
bool | visit_str (const char *v, uint32_t size)
bool | visit_bin (const char *v, uint32_t size)
bool | visit_ext (const char *v, uint32_t size)
bool | start_array (uint32_t num_elements)
bool | start_array_item ()
bool | end_array_item ()
bool | end_array ()
bool | start_map (uint32_t num_kv_pairs)
bool | start_map_key ()
bool | end_map_key ()
bool | start_map_value ()
bool | end_map_value ()
bool | end_map ()
void | parse_error (size_t, size_t)
void | insufficient_bytes (size_t, size_t)

## Public Attributes

unpack_reference_func | m_func
void * | m_user_data
unpack_limit | m_limit
msgpack::object | m_obj
std::vector< msgpack::object * > | m_stack
msgpack::zone * | m_zone
bool | m_referenced

## Constructor & Destructor Documentation

## create_object_visitor() [1/2]

msgpack::detail::create_object_visitor::create_object_visitor | ( | unpack_reference_func | f,
|  | void * | user_data,
|  | unpack_limit const & | limit
| ) |  |

inline

References m_obj, and m_stack.

Referenced by operator=().

## create_object_visitor() [2/2]

msgpack::detail::create_object_visitor::create_object_visitor | ( | create_object_visitor && | other | ) |

inline

References m_obj, m_stack, and MSGPACK_NULLPTR.

## Member Function Documentation

## data()

msgpack::object const& msgpack::detail::create_object_visitor::data | ( |  | ) | const

inline

References m_obj.

## end_array()

bool msgpack::detail::create_object_visitor::end_array | ( |  | ) |

inline

References m_stack.

## end_array_item()

bool msgpack::detail::create_object_visitor::end_array_item | ( |  | ) |

inline

References m_stack.

## end_map()

bool msgpack::detail::create_object_visitor::end_map | ( |  | ) |

inline

References m_stack.

## end_map_key()

bool msgpack::detail::create_object_visitor::end_map_key | ( |  | ) |

inline

References m_stack.

## end_map_value()

bool msgpack::detail::create_object_visitor::end_map_value | ( |  | ) |

inline

References m_stack.

## init()

void msgpack::detail::create_object_visitor::init | ( |  | ) |

inline

References m_obj, and m_stack.

## insufficient_bytes()

void msgpack::detail::create_object_visitor::insufficient_bytes | ( | size_t | ,
|  | size_t |
| ) |  |

inline

## operator=()

create_object_visitor& msgpack::detail::create_object_visitor::operator= | ( | create_object_visitor && | other | ) |

inline

References create_object_visitor(), and msgpack::move().

## parse_error()

void msgpack::detail::create_object_visitor::parse_error | ( | size_t | ,
|  | size_t |
| ) |  |

inline

## referenced()

bool msgpack::detail::create_object_visitor::referenced | ( |  | ) | const

inline

References m_referenced.

Referenced by msgpack::unpacker::next(), set_referenced(), msgpack::unpack(), and msgpack::unpacker::visitor().

## set_referenced()

void msgpack::detail::create_object_visitor::set_referenced | ( | bool | referenced | ) |

inline

References m_referenced, and referenced().

Referenced by visit_bin(), visit_ext(), and visit_str().

## set_zone()

void msgpack::detail::create_object_visitor::set_zone | ( | msgpack::zone & | zone | ) |

inline

References m_zone, and zone().

## start_array()

bool msgpack::detail::create_object_visitor::start_array | ( | uint32_t | num_elements | ) |

inline

References msgpack::zone::allocate_align(), msgpack::type::ARRAY, msgpack::object::union_type::array, msgpack::unpack_limit::array(), msgpack::unpack_limit::depth(), m_limit, m_stack, m_zone, MSGPACK_NULLPTR, MSGPACK_ZONE_ALIGNOF, msgpack::object_array::ptr, msgpack::object_array::size, msgpack::type::size(), msgpack::object::type, and msgpack::object::via.

## start_array_item()

bool msgpack::detail::create_object_visitor::start_array_item | ( |  | ) |

inline

## start_map()

bool msgpack::detail::create_object_visitor::start_map | ( | uint32_t | num_kv_pairs | ) |

inline

References msgpack::zone::allocate_align(), msgpack::unpack_limit::depth(), m_limit, m_stack, m_zone, msgpack::type::MAP, msgpack::object::union_type::map, msgpack::unpack_limit::map(), MSGPACK_NULLPTR, MSGPACK_ZONE_ALIGNOF, msgpack::object_map::ptr, msgpack::type::size(), msgpack::object_map::size, msgpack::object::type, and msgpack::object::via.

## start_map_key()

bool msgpack::detail::create_object_visitor::start_map_key | ( |  | ) |

inline

## start_map_value()

bool msgpack::detail::create_object_visitor::start_map_value | ( |  | ) |

inline

## visit_bin()

bool msgpack::detail::create_object_visitor::visit_bin | ( | const char * | v,
|  | uint32_t | size
| ) |  |

inline

References msgpack::zone::allocate_align(), msgpack::type::BIN, msgpack::object::union_type::bin, msgpack::unpack_limit::bin(), m_func, m_limit, m_stack, m_user_data, MSGPACK_ZONE_ALIGNOF, msgpack::object_bin::ptr, set_referenced(), msgpack::type::size(), msgpack::object_bin::size, msgpack::object::type, msgpack::object::via, and zone().

## visit_boolean()

bool msgpack::detail::create_object_visitor::visit_boolean | ( | bool | v | ) |

inline

References msgpack::type::BOOLEAN, msgpack::object::union_type::boolean, m_stack, msgpack::object::type, and msgpack::object::via.

## visit_ext()

bool msgpack::detail::create_object_visitor::visit_ext | ( | const char * | v,
|  | uint32_t | size
| ) |  |

inline

References msgpack::zone::allocate_align(), msgpack::type::EXT, msgpack::object::union_type::ext, msgpack::unpack_limit::ext(), m_func, m_limit, m_stack, m_user_data, MSGPACK_ZONE_ALIGNOF, msgpack::object_ext::ptr, set_referenced(), msgpack::object_ext::size, msgpack::object::type, msgpack::object::via, and zone().

## visit_float32()

bool msgpack::detail::create_object_visitor::visit_float32 | ( | float | v | ) |

inline

References msgpack::object::union_type::f64, msgpack::type::FLOAT32, m_stack, msgpack::object::type, and msgpack::object::via.

## visit_float64()

bool msgpack::detail::create_object_visitor::visit_float64 | ( | double | v | ) |

inline

References msgpack::object::union_type::f64, msgpack::type::FLOAT64, m_stack, msgpack::object::type, and msgpack::object::via.

## visit_negative_integer()

bool msgpack::detail::create_object_visitor::visit_negative_integer | ( | int64_t | v | ) |

inline

References msgpack::object::union_type::i64, m_stack, msgpack::type::NEGATIVE_INTEGER, msgpack::type::POSITIVE_INTEGER, msgpack::object::type, msgpack::object::union_type::u64, and msgpack::object::via.

## visit_nil()

bool msgpack::detail::create_object_visitor::visit_nil | ( |  | ) |

inline

References m_stack, msgpack::type::NIL, and msgpack::object::type.

## visit_positive_integer()

bool msgpack::detail::create_object_visitor::visit_positive_integer | ( | uint64_t | v | ) |

inline

References m_stack, msgpack::type::POSITIVE_INTEGER, msgpack::object::type, msgpack::object::union_type::u64, and msgpack::object::via.

## visit_str()

bool msgpack::detail::create_object_visitor::visit_str | ( | const char * | v,
|  | uint32_t | size
| ) |  |

inline

References msgpack::zone::allocate_align(), m_func, m_limit, m_stack, m_user_data, MSGPACK_ZONE_ALIGNOF, msgpack::object_str::ptr, set_referenced(), msgpack::type::size(), msgpack::object_str::size, msgpack::type::STR, msgpack::object::union_type::str, msgpack::unpack_limit::str(), msgpack::object::type, msgpack::object::via, and zone().

## zone() [1/2]

msgpack::zone const& msgpack::detail::create_object_visitor::zone | ( |  | ) | const

inline

References m_zone.

Referenced by set_zone(), visit_bin(), visit_ext(), and visit_str().

## zone() [2/2]

msgpack::zone& msgpack::detail::create_object_visitor::zone | ( |  | ) |

inline

References m_zone.

## Member Data Documentation

## m_func

unpack_reference_func msgpack::detail::create_object_visitor::m_func

Referenced by visit_bin(), visit_ext(), and visit_str().

## m_limit

unpack_limit msgpack::detail::create_object_visitor::m_limit

Referenced by start_array(), start_map(), visit_bin(), visit_ext(), and visit_str().

## m_obj

msgpack::object msgpack::detail::create_object_visitor::m_obj

Referenced by create_object_visitor(), data(), and init().

## m_referenced

bool msgpack::detail::create_object_visitor::m_referenced

Referenced by referenced(), and set_referenced().

## m_stack

std::vector<msgpack::object*> msgpack::detail::create_object_visitor::m_stack

Referenced by create_object_visitor(), end_array(), end_array_item(), end_map(), end_map_key(), end_map_value(), init(), start_array(), start_map(), visit_bin(), visit_boolean(), visit_ext(), visit_float32(), visit_float64(), visit_negative_integer(), visit_nil(), visit_positive_integer(), and visit_str().

## m_user_data

void* msgpack::detail::create_object_visitor::m_user_data

Referenced by visit_bin(), visit_ext(), and visit_str().

## m_zone

msgpack::zone* msgpack::detail::create_object_visitor::m_zone

Referenced by set_zone(), start_array(), start_map(), and zone().

The documentation for this class was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v2/create_object_visitor.hpp